Table of Contents

Class: Observable | Twisted-0.17.4/twisted/python/observable.py
--- | ---

Methods |
--- | ---
__init__ addObserver notify removeObserver tell
| __init__

    __init__ ( self )

| addObserver

    addObserver ( self,  observer )

Observable.addObserver(observer) Add a method which will be called when this observer's notify() is executed.

| notify

    notify ( self,  *rgs )

Observable.notify(*rgs) call all observers of this observable with (self,)+rgs

| removeObserver

    removeObserver ( self,  observer )

Observable.removeObserver(observer) Remove a previously-added method would have been called when this observer's notify() was executed

| tell

    tell (
            self,
            observer,
            args,
            )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:23 2002 by HappyDoc version 2.0